/* KOPPELO-tietokantaan sytettvt vakiotiedot 
   19.3.2002
   Pivitetty 10.5.2002

   Sislt mm. opinnytetyypit, henkiliden roolit 
   opinnytteiss jne.

*/

/* Linjat ja niiden knnkset */

INSERT INTO StudyLine (Deleted, LineID, OrganisationID) VALUES (False, 1, 3);
INSERT INTO StudyLineTranslation (Deleted, LineID, LanguageID, Name)
VALUES (False, 1, 2, 'Ohjelmistotekniikka');

INSERT INTO StudyLine (Deleted, LineID, OrganisationID) VALUES (False, 2, 3);
INSERT INTO StudyLineTranslation (Deleted, LineID, LanguageID, Name)
VALUES (False, 2, 2, 'Sulautetut jrjestelmt');

INSERT INTO StudyLine (Deleted, LineID, OrganisationID) VALUES (False, 3, 3);
INSERT INTO StudyLineTranslation (Deleted, LineID, LanguageID, Name)
VALUES (False, 3, 2, 'Opettajalinja');


/* Erilaiset opinnytetyypit ja niiden knnkset */

INSERT INTO AssignmentType (Deleted, TypeID, DefaultTimeInDB, MaxTimeInDB) VALUES (False, 1, 180, 360);
INSERT INTO AssTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 1, 2, 'Kurssin harjoitusty');

INSERT INTO AssignmentType (Deleted, TypeID, DefaultTimeInDB, MaxTimeInDB) VALUES (False, 2, 180, 360);
INSERT INTO AssTypeTranslation (Deleted, TypeID, LanguageID, Name) 
VALUES (False, 2, 2, 'Cum laude typrojekti');

INSERT INTO AssignmentType (Deleted, TypeID, DefaultTimeInDB, MaxTimeInDB) VALUES (False, 3, 180, 360);
INSERT INTO AssTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 3, 2, 'Cum laude harjoitusty');

INSERT INTO AssignmentType (Deleted, TypeID, DefaultTimeInDB, MaxTimeInDB) VALUES (False, 4, 180, 360);
INSERT INTO AssTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 4, 2, 'Luk-tutkielma');

INSERT INTO AssignmentType (Deleted, TypeID, DefaultTimeInDB, MaxTimeInDB) VALUES (False, 5, 180, 360);
INSERT INTO AssTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 5, 2, 'Pro gradu -tutkielma');

INSERT INTO AssignmentType (Deleted, TypeID, DefaultTimeInDB, MaxTimeInDB) VALUES (False, 6, 180, 360);
INSERT INTO AssTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 6, 2, 'Seminaari');

INSERT INTO AssignmentType (Deleted, TypeID, DefaultTimeInDB, MaxTimeInDB) VALUES (False, 7, 180, 360);
INSERT INTO AssTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 7, 2, 'Vitskirja');


/* Opinnytteeseen liittyvt roolit ja niiden knnkset */

INSERT INTO AssignmentRole (Deleted, RoleID) VALUES (False, 1);
INSERT INTO AssRoleTranslation (Deleted, RoleID, LanguageID, Name)
VALUES (False, 1, 2, 'Opiskelija');
INSERT INTO AssRoleTranslation (Deleted, RoleID, LanguageID, Name)
VALUES (False, 1, 1, 'Student');

INSERT INTO AssignmentRole (Deleted, RoleID) VALUES (False, 2);   
INSERT INTO AssRoleTranslation (Deleted, RoleID, LanguageID, Name)
VALUES (False, 2, 2, 'Ohjaaja');
INSERT INTO AssRoleTranslation (Deleted, RoleID, LanguageID, Name)
VALUES (False, 2, 1, 'Supervisor');

INSERT INTO AssignmentRole (Deleted, RoleID) VALUES (False, 3);   
INSERT INTO AssRoleTranslation (Deleted, RoleID, LanguageID, Name)
VALUES (False, 3, 2, 'Tarkastaja');


/* Opinnytteeseen ja tytehtviin liittyvt vaiheet ja niiden knnkset */

/*
 INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 1, 1);
 INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
 VALUES (False, 1, 2, 'Ehdotettu aiheeksi');
 INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
 VALUES (False, 1, 1, 'Subject suggested');
 
 INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 2, 1);
 INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
 VALUES (False, 2, 2, 'Aihe hyvksytty');
 INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
 VALUES (False, 2, 1, 'Subject accepted');

 INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 3, 1);
 INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
 VALUES (False, 3, 2, 'Aihe hyltty');
 INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
 VALUES (False, 3, 1, 'Subject rejected');
*/


INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 1, 1);
INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
VALUES (False, 1, 2, 'Tekeill');

INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 2, 1);
INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
VALUES (False, 2, 2, 'Tarkastettavana');

INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 3, 1);
INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
VALUES (False, 3, 2, 'Hyvksyttvn');

INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 4, 1);
INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
VALUES (False, 4, 2, 'Hyvksytty');

INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 5, 1);
INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
VALUES (False, 5, 2, 'Keskeytetty');


/* Tytehtvn vaiheet */
INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 6, 2);
INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
VALUES (False, 6, 2, 'Aloittamatta');

INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 7, 2);
INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
VALUES (False, 7, 2, 'Tyn alla');

INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 8, 2);
INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
VALUES (False, 8, 2, 'Tarkastettavana');

INSERT INTO AssignmentPhase (Deleted, PhaseID, PhaseGroup) VALUES (False, 9, 2);
INSERT INTO AssPhaseTranslation (Deleted, PhaseID, LanguageID, Name)
VALUES (False, 9, 2, 'Valmis');



/* Avainsanat ja niiden knnkset */
/*
INSERT INTO AssignmentKeyword (Deleted, KeywordID) VALUES (False, 1);
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 1, 2, 'JSP');
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 1, 1, 'JSP');

INSERT INTO AssignmentKeyword (Deleted, KeywordID) VALUES (False, 2);
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 2, 2, 'Java');
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 2, 1, 'Java');

INSERT INTO AssignmentKeyword (Deleted, KeywordID) VALUES (False, 3);
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 3, 2, 'C++');
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 3, 1, 'C++');

INSERT INTO AssignmentKeyword (Deleted, KeywordID) VALUES (False, 4);
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 4, 2, 'Delphi');
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 4, 1, 'Delphi');

INSERT INTO AssignmentKeyword (Deleted, KeywordID) VALUES (False, 5);
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 5, 2, 'Suunnittelumallit');
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 5, 1, 'Design Patterns');

INSERT INTO AssignmentKeyword (Deleted, KeywordID) VALUES (False, 6);
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 6, 2, 'Apache');
INSERT INTO AssKeywordTranslation (Deleted, KeywordID, LanguageID, Name)
VALUES (False, 6, 1, 'Apache');
*/


/* Tapahtuman tyypit ja niiden knnkset  */

INSERT INTO AssEventType (Deleted, TypeID) VALUES (False, 1);
INSERT INTO AssEventTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 1, 2, 'Ohjaus');

INSERT INTO AssEventType (Deleted, TypeID) VALUES (False, 2);
INSERT INTO AssEventTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 2, 2, 'Keskustelu');

INSERT INTO AssEventType (Deleted, TypeID) VALUES (False, 3);
INSERT INTO AssEventTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 3, 2, 'Arvostelu');

INSERT INTO AssEventType (Deleted, TypeID) VALUES (False, 4);
INSERT INTO AssEventTypeTranslation (Deleted, TypeID, LanguageID, Name)
VALUES (False, 4, 2, 'Oppilaan raportti');



/* Tytehtvien luokat ja niiden knnkset */

INSERT INTO AssTaskCategory (Deleted, CategoryID) VALUES (False, 1);
INSERT INTO AssTaskCategoryTranslation (Deleted, CategoryID, LanguageID, Name)
VALUES (False, 1, 2, 'Suunnittelu');

INSERT INTO AssTaskCategory (Deleted, CategoryID) VALUES (False, 2);
INSERT INTO AssTaskCategoryTranslation (Deleted, CategoryID, LanguageID, Name)
VALUES (False, 2, 2, 'Toteutus');

INSERT INTO AssTaskCategory (Deleted, CategoryID) VALUES (False, 3);
INSERT INTO AssTaskCategoryTranslation (Deleted, CategoryID, LanguageID, Name)
VALUES (False, 3, 2, 'Dokumentointi');

INSERT INTO AssTaskCategory (Deleted, CategoryID) VALUES (False, 4);
INSERT INTO AssTaskCategoryTranslation (Deleted, CategoryID, LanguageID, Name)
VALUES (False, 4, 2, 'Esitys');


/* Tytehtvt ja niiden knnkset */

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 1, 1);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 1, 2, 'Projektisuunnitelma');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 2, 1);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 2, 2, 'Sovellussuunnitelma');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 3, 4);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 3, 2, '1. opponointi');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 4, 4);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 4, 2, '2. opponointi');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 5, 4);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 5, 2, 'Loppuesittely');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 6, 2);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 6, 2, 'Sovellus');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 7, 3);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 7, 2, 'Projektikansio');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 8, 2);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 8, 2, 'Pro Gradu ty');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 9, 1);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 9, 2, 'Sisllysluettelo');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 10, 4);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 10, 2, '1. seminaariesitelm');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 11, 4);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 11, 2, '2. seminaariesitelm');

INSERT INTO AssignmentTask (Deleted, TaskID, CategoryID) VALUES (False, 12, 1);
INSERT INTO AssTaskTranslation (Deleted, TaskID, LanguageID, Name)
VALUES (False, 12, 2, 'Tutkimussuunnitelma');

/* Tytehtvien mallipohjat (templates) ja  niiden knnkset */

INSERT INTO AssTaskTemplate (Deleted, TemplateID) VALUES (False, 1);
INSERT INTO AssTaskTemplateTranslation (Deleted, TemplateID, LanguageID, Name)
VALUES (False, 1, 2, 'Cum laude typrojektin malli');

INSERT INTO AssTaskTemplate (Deleted, TemplateID) VALUES (False, 2);
INSERT INTO AssTaskTemplateTranslation (Deleted, TemplateID, LanguageID, Name)
VALUES (False, 2, 2, '1 esitelmn seminaarin malli');

INSERT INTO AssTaskTemplate (Deleted, TemplateID) VALUES (False, 3);
INSERT INTO AssTaskTemplateTranslation (Deleted, TemplateID, LanguageID, Name)
VALUES (False, 3, 2, '2 esitelmn seminaarin malli');

INSERT INTO AssTaskTemplate (Deleted, TemplateID) VALUES (False, 4);
INSERT INTO AssTaskTemplateTranslation (Deleted, TemplateID, LanguageID, Name)
VALUES (False, 4, 2, 'Gradun malli');


/* Mallipohjiin liittyvt tytehtvt */


INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 1, 1);
INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 1, 2);
INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 1, 3);
INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 1, 4);
INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 1, 5);
INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 1, 6);
INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 1, 7);

INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 2, 10);

INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 3, 10);
INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 3, 11);

INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 4, 12);
INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 4, 9);
INSERT INTO AssTaskTemplateRelation (Deleted, TemplateID, TaskID) VALUES (False, 4, 8);

/* Oikeustaulu */

INSERT INTO AssignmentRight (Deleted, RightID, Name) 
VALUES (false, 1, 'Aiheen hyvksymisoikeus');

INSERT INTO AssignmentRight (Deleted, RightID, Name) 
VALUES (false, 2, 'Henkiliden pivitysoikeus');

INSERT INTO AssignmentRight (Deleted, RightID, Name) 
VALUES (false, 3, 'Opinnytteen tietojen katseluoikeus');

INSERT INTO AssignmentRight (Deleted, RightID, Name) 
VALUES (false, 4, 'Opinnytteen tietojen pivitysoikeus');

INSERT INTO AssignmentRight (Deleted, RightID, Name) 
VALUES (false, 5, 'Opiskelijan arvosteluoikeus');

INSERT INTO AssignmentRight (Deleted, RightID, Name) 
VALUES (false, 6, 'Keskeneristen opinnytteiden katseluoikeus');

INSERT INTO AssignmentRight (Deleted, RightID, Name) 
VALUES (false, 7, 'Opinnytteen kiinnitysoikeus');
